Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.text.edits
Class InsertEdit

    java.lang.Object
      org.eclipse.text.edits.TextEdit
          org.eclipse.text.edits.InsertEdit

public final class InsertEdit
extends TextEdit

Text edit to insert a text at a given position in a document.

An insert edit is equivalent to `ReplaceEdit(offset, 0, text)`

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.text.edits.TextEdit
`CREATE_UNDO, NONE, UPDATE_REGIONS`

Constructor Summary
`InsertEdit(int offset, String text)` Constructs a new insert edit.

Method Summary
`protected void` | `accept0(TextEditVisitor visitor)` Accepts the given visitor on a type-specific visit of the current edit.
`protected TextEdit` | `doCopy()` Creates and returns a copy of this edit.
`String` | `getText()` Returns the text to be inserted.
`String` | `toString()`

Methods inherited from class org.eclipse.text.edits.TextEdit
`accept, acceptChildren, addChild, addChildren, apply, apply, canZeroLengthCover, copy, covers, equals, getChildren, getChildrenSize, getCoverage, getExclusiveEnd, getInclusiveEnd, getLength, getOffset, getParent, getRegion, hasChildren, hashCode, isDeleted, postProcessCopy, removeChild, removeChild, removeChildren`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InsertEdit

    public InsertEdit(int offset,
                      String text)

  Constructs a new insert edit.

Parameters:
  `offset` - the insertion offset
  `text` - the text to insert

Method Detail

### getText

    public String getText()

  Returns the text to be inserted.

  Returns:
    the edit's text.

### doCopy

    protected TextEdit doCopy()

  Description copied from class: `TextEdit`
  Creates and returns a copy of this edit. The copy method should be implemented in a way so that the copy can executed without causing any harm to the original edit. Implementors of this method are responsible for creating deep or shallow copies of referenced object to fullfil this requirement.

  Implementers of this method should use the copy constructor `Edit#Edit(Edit source) to initialize the edit part of the copy. Implementors aren't responsible to actually copy the children or to set the right parent.`

  This method should not be called from outside the framework. Please use `copy` to create a copy of a edit tree.

  Specified by:
    `doCopy` in class `TextEdit`
  Returns:
    a copy of this edit.
  See Also:
    `TextEdit.copy()`, `TextEdit.postProcessCopy(TextEditCopier)`, `TextEditCopier`

### accept0

    protected void accept0(TextEditVisitor visitor)

  Description copied from class: `TextEdit`
  Accepts the given visitor on a type-specific visit of the current edit. This method must be implemented in all concrete text edits.

  General template for implementation on each concrete TextEdit class:

       boolean visitChildren = visitor.visit(this);
       if (visitChildren) {
          acceptChildren(visitor);
       }

  Note that the caller (`accept`) takes care of invoking `visitor.preVisit(this)` and `visitor.postVisit(this)`.

  Specified by:
    `accept0` in class `TextEdit`
  Parameters:
    `visitor` - the visitor object

### toString

    public String toString()

  Overrides:
    `toString` in class `TextEdit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.